using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.TagCQ.EventHandlers;

public class DeleteTagEventHandler : INotificationHandler<DeleteTagEvent>
{
    private readonly ILogger<DeleteTagEventHandler> _logger;

    public DeleteTagEventHandler(ILogger<DeleteTagEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(DeleteTagEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}

